using System;
using System.IO;
using System.Collections;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {

            SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

            // After purchasing the license, please insert your serial number here to activate the component
            //p.Serial = "XXXXXXXXXXX";

            // Specify some page options.
            p.PageSettings.Orientation = SautinSoft.PdfMetamorphosis.PageSetting.Orientations.Landscape;

            // Set page header in HTML format.
            p.PageSettings.Header.Html("<b style=\"color: green;\">Sample header in HTML format</b>");

            // Set page footer in RTF format.
            //p.PageSettings.Footer.Rtf("{\b Bold footer}");

            // Set page numbers.
            p.PageSettings.Numbering.Text = "Page {page} of {numpages}";

            if (p != null)
            {
                string rtfPath = @"..\..\..\..\..\test.rtf";
                string pdfPath = Path.ChangeExtension(rtfPath, ".pdf");

                int i = p.RtfToPdfConvertFile(rtfPath, pdfPath);

                if (i != 0)
                {
                    System.Console.WriteLine("An error occured during converting RTF to PDF!");
                }
                else
                {
                    System.Diagnostics.Process.Start(pdfPath);
                }
            }
        }
    }
}
