Imports System
Imports System.IO
Imports System.Collections

Namespace Sample
    Friend Class Test

        Shared Sub Main(ByVal args() As String)
            Dim p As New SautinSoft.PdfMetamorphosis()

            ' After purchasing the license, please insert your serial number here to activate the component
            'p.Serial = "XXXXXXXXXXX";

            ' Specify some page options.
            p.PageSettings.Orientation = SautinSoft.PdfMetamorphosis.PageSetting.Orientations.Landscape

            ' Set page header in HTML format.
            p.PageSettings.Header.Html("<b style=""color: green;"">Sample header in HTML format</b>")

            ' Set page footer in RTF format.
            'p.PageSettings.Footer.Rtf("{\b Bold footer}");

            ' Set page numbers.
            p.PageSettings.Numbering.Text = "Page {page} of {numpages}"

            If p IsNot Nothing Then
                Dim rtfPath As String = "..\..\..\..\..\test.rtf"
                Dim pdfPath As String = Path.ChangeExtension(rtfPath, ".pdf")

                Dim i As Integer = p.RtfToPdfConvertFile(rtfPath, pdfPath)

                If i <> 0 Then
                    System.Console.WriteLine("An error occured during converting RTF to PDF!")
                Else
                    System.Diagnostics.Process.Start(pdfPath)
                End If
            End If
        End Sub
    End Class
End Namespace